package org.project.item.armors;

import org.project.entity.Entity;

public class KnightArmor extends Armor {

    public KnightArmor() {
        // پاس دادن مقدار ۱۰ برای دفاع و ۵۰ برای دوام به سازنده کلاس Armor
        super(10, 50);
    }

    @Override
    public void use(Entity target) {
        // منطق پایه استفاده از زره روی یک موجود (در صورت نیاز به تجهیز کردن)
    }
}